The Release Notes Menu on firefox shows ubuntu 6.10 notes

Bug #138968 reported by Rafael Sachetto on 2007-09-11
20
Affects Status Importance Assigned to Milestone
ubufox (Baltix)
Undecided
Unassigned
ubufox (Ubuntu)
High
Alexander Sack
Gutsy
Undecided
Alexander Sack
Hardy
High
Alexander Sack

Bug Description

When you press the The Release Notes menu under Help on firefox 2.0.0.6 using Gutsy it goes to http://www.ubuntu.com/getubuntu/releasenotes/610. This release notes are from Ubuntu 6.10. I know that gutsy still under development and it doesn't have a release notes page, but this link should go to another location.

Changed in firefox:
status: New → Confirmed
Rafael Sachetto (rsachetto) wrote :

The bug stills here

mikeize (ho-ofbabylon) wrote :

I have the same problem. Obviously not a big deal, but weird nonetheless, and ought to be a simple enough fix right?

André Klitzing (misery) wrote :

It's simple.... it is just in patches/ubuntu-look-and-feel-patch.patch
Row 20043: releaseNotesURL=http://www.ubuntu.com/download/releasenotes/610

Alexander Sack (asac) wrote :

This should be done in a ubufox SRU.

Changed in firefox:
importance: Undecided → High
Martin Pitt (pitti) wrote :

This should use http://www.ubuntu.com/getubuntu/releasenotes?ver=x&os=y

with x being the Ubuntu release number (7.10) and y being "ubuntu", "kubuntu", etc.

Alexander Sack (asac) wrote :

this upload uses |ubuntu| for all flavours. We need run-time detection which isn't trivial.

Upload done to gutsy-proposed:

ubufox (0.4~beta1-0ubuntu4) gutsy-proposed; urgency=low

  * debian/patches/lp138968_fix_release_notes_gutsy.patch,series: fix release
    notes url (LP: #138968).

 -- Alexander Sack <email address hidden> Tue, 16 Oct 2007 17:53:20 +0200

Changed in ubufox:
assignee: nobody → asac
status: Confirmed → Fix Committed
Martin Pitt (pitti) wrote :

Accepted into gutsy-proposed, please test.

I ran

$ sudo aptitude update && sudo aptitude upgrade

multiple times in Gusty with reboots in between, making sure the proposed repository is enabled and I still go to http://www.ubuntu.com/getubuntu/releasenotes/610

brettalton [2007-10-19 17:23 -0000]:
> I ran
>
> $ sudo aptitude update && sudo aptitude upgrade
>
> multiple times in Gusty with reboots in between, making sure the
> proposed repository is enabled and I still go to
> http://www.ubuntu.com/getubuntu/releasenotes/610

It still takes a while until the package has built and is in the
archive.

Eddie M. (eddiemartinez) wrote :

I can confirm this.

Rafael Sachetto (rsachetto) wrote :

Bug corrected here! I think the status should be changed to Fix Released.

Yes, it is now corrected for me as well. Sorry to be so preemptive.

Martin Pitt (pitti) wrote :

This can go to -updates on October 26.

Martin Pitt (pitti) wrote :

Copied to gutsy-updates.

Changed in ubufox:
status: Fix Committed → Fix Released
leps (patrick-lepore) wrote :

Hey guys, I just noticed the package wasn't updated in the web page here. How can I get it updated?

http://packages.ubuntu.com/gutsy/web/ubufox

Jeremy Visser (jeremy-visser) wrote :

I'm using Hardy, and this still links to the 6.10 release notes.

Jeremy Visser (jeremy-visser) wrote :

Reopening bug. Apologies if this is the wrong thing to do.

Changed in ubufox:
status: Fix Released → Confirmed
Martin Pitt (pitti) wrote :

This was fixed in Gutsy in an SRU.

Changed in ubufox:
assignee: nobody → asac
status: New → Fix Released
Jeremy Visser (jeremy-visser) wrote :

Yeah, but this wasn't fixed in Hardy.

In my Hardy Firefox install, my "Help" > "Release Notes" points to http://en-us.www.mozilla.com/en-US/firefox/2.0.0.11/releasenotes/... which is uncommon for clicking that button as it usually takes me to the Ubuntu <codename> release notes.

sibidiba (sibidiba) wrote :

On Hardy it currently opens http://www.ubuntu.com/download/releasenotes/804 .

I guess this is correct, even when this is just 404 page. Of course the release note is not ready yet.
If someone would put there just a placeholder, or confirm, that this is really the correct URL for the final release notes, this bug could be closed.

Jeremy Visser (jeremy-visser) wrote :

Yep, I confirm the above comment. I added bug #195987 against the Ubuntu website for creating the placeholder page.

Alexander Sack (asac) wrote :

finally committed to upstream and ubuntu branch for hardy.

Changed in ubufox:
status: Confirmed → Fix Committed
status: New → Invalid
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ubufox - 0.5~rc1-0ubuntu1

---------------
ubufox (0.5~rc1-0ubuntu1) hardy; urgency=low

  Upstream Changes integrated
  * make apturl dependency versioned (>= 0.1.2ubuntu1) - LP: #162609
  * multi distro capability of DB creation script and web service
    (LP: #204435, #177514)
  * simplify ffox 3 code for dispatching NewPluginInstalled events
  * fix plugin Installer Wizard for ffox 3 (LP: #202790)
  * point ubufoxReportBug to firefox-3.0 source package
  * point online help and translate menu entry to firefox-3.0 package and hardy
    distribution (LP: #138968, #203729)
  * merge greek-translation contributed by Athanasios Lefteris
  * LP: #139380, #175969 - merge translations contributed by ubuntu community;
    thanks to Saïvann Carignan for his work on collecting and integrating most
    of them.
    - Added Greek locale - submitted by Athanasios Lefteris (LP: #211404)
    - add Slovenian locale
    - add Swedish locale (LP: #207666)
    - add Portuguese locale
    - add Lithuanian locale (LP: #206133)
    - add Italian locale (LP: #207372)
      + fix mispelled word in Italian translation
    - add Afrikaans locale (LP: #206733)
    - add fr-FR and fr-CA translations
    - add polish translations (LP: #202248)
  * merge fix for LP: #176658 - by Saïvann Carignan <email address hidden>
    - fix ubufox to use the png icon

  Package changes:
  * append &distributionID=8.04 to pfs.datasource.url shipped as defaults
    preference
    - update defaults/preferences/ubufox-pfs.js

 -- Alexander Sack <email address hidden> Sat, 05 Apr 2008 06:35:40 +0200

Changed in ubufox:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers